gtk-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Object This class sets up a filter to include or exclude particular kinds of files; useful in file selection dialogs.

Simple example showing FileFilter within the FileChooserDialog example: `public class MainWindow: Gtk.Window { protected virtual void OnBtnLoadFileClicked(object sender, System.EventArgs e) { Gtk.FileChooserDialog fc= new Gtk.FileChooserDialog("Choose the file to open", this, FileChooserAction.Open, Gtk.Stock.Cancel,ResponseType.Cancel, Gtk.Stock.Open,ResponseType.Accept); //filter begins here... FileFilter filter = new FileFilter(); filter.Name = "PNG and JPEG images"; filter.AddMimeType("image/png"); filter.AddPattern("*.png"); filter.AddMimeType("image/jpeg"); filter.AddPattern("*.jpg"); fc.AddFilter(filter); //second filter filter = new FileFilter(); filter.Name = "PNG Images (*.png)"; filter.AddMimeType("image/png"); filter.AddPattern("*.png"); fc.AddFilter(filter); //end filter code if (fc.Run() == (int)ResponseType.Accept) { System.Console.WriteLine } //Don't forget to call Destroy() or the FileChooserDialog window won't get closed. fc.Destroy(); }`

- Constructor
  2.12.0.0
  Creates a new file filter with no rules attached to it.
  A newly-created filter doesn't accept any files, so is not particularly useful until you add rules with , , or .
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected constructor.
- Constructor
  2.12.0.0
  a
  Constructor for internal use only.
- Method
  2.12.0.0
  System.Void `` `` a a Adds a rule to a filter that allows files based on a custom callback function. The bitfield which is passed in provides information about what sorts of information that the filter function needs; this allows GTK+ to avoid retrieving expensive information when it isn't needed by the filter.
- Method
  2.12.0.0
  System.Void `` a Adds a rule allowing a given MIME type to a filter.
- Method
  2.12.0.0
  System.Void `` a Adds a rule allowing a shell style glob to a filter.
- Method
  2.12.0.0
  System.Void To be added To be added
- Method
  2.12.0.0
  System.Boolean `` a Tests whether a file should be displayed according to this filter. a , TRUE if the file should be displayed. The structure should include the fields returned from . This function will not typically be used by applications; it is intended principally for use in the implementation of .
- Property
  2.12.0.0
  GLib.GType The of this object. a
- Property
  2.12.0.0
  System.String The human-readable name of the filter. a This is the string that will be displayed in the file selector user interface if there is a selectable list of filters.
- Property
  2.12.0.0
  Gtk.FileFilterFlags Gets the fields that need to be filled in for the structure passed to . a , flags that list the needed fields when calling . This function will not typically be used by applications; it is intended principally for use in the implementation of .